ClusterStructuresForResultRow (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared.cluster

## Class ClusterStructuresForResultRow

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.cluster.ClusterStructuresForResultRow

- All Implemented Interfaces:
    Serializable

      public class ClusterStructuresForResultRow
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterStructuresForResultRow()`
    `ClusterStructuresForResultRow(SearchResult<ResultRow> result, boolean isReduced, int totalRow)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createStructures(ArrayList<ResultRow> arrayListRR)`
    `void` | `createStructuresForCommonName()`
    `HashMap<String,ClusterCommonNameDataSource<ResultRow>>` | `getHashClusterCommonNamesDataSources()`
    `HashMap<String,ArrayList<String>>` | `getHashClusterScientificNameResultRowID()`
    `List<String>` | `getListFoundDataSources()`
    `List<ResultRow>` | `getResult()`
    `ResultRow` | `getResultRowByRowID(String key)`
    `int` | `getTotalRow()`
    `boolean` | `isReduced()`
    `void` | `setReduced(boolean isReduced)`
    `void` | `setTotalRow(int totalRow)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterStructuresForResultRow

          public ClusterStructuresForResultRow()

    - #### ClusterStructuresForResultRow

          public ClusterStructuresForResultRow(SearchResult<ResultRow> result,
                                       boolean isReduced,
                                       int totalRow)

  - ### Method Detail

    - #### createStructuresForCommonName

          public void createStructuresForCommonName()

    - #### createStructures

          public void createStructures(ArrayList<ResultRow> arrayListRR)

    - #### getHashClusterScientificNameResultRowID

          public HashMap<String,ArrayList<String>> getHashClusterScientificNameResultRowID()

    - #### getListFoundDataSources

          public List<String> getListFoundDataSources()

    - #### getHashClusterCommonNamesDataSources

          public HashMap<String,ClusterCommonNameDataSource<ResultRow>> getHashClusterCommonNamesDataSources()

    - #### getResult

          public List<ResultRow> getResult()

    - #### getResultRowByRowID

          public ResultRow getResultRowByRowID(String key)

    - #### isReduced

          public boolean isReduced()

    - #### setReduced

          public void setReduced(boolean isReduced)

    - #### getTotalRow

          public int getTotalRow()

    - #### setTotalRow

          public void setTotalRow(int totalRow)

Copyright © 2013. All Rights Reserved.